Bug 524166 - setroubleshoot: SELinux is preventing /usr/sbin/abrtd "chown" access.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/abrtd "chown" access.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:de319d9c714...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 07:47 UTC by Andy Burns
Modified: 2015-02-01 22:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 11:13:39 UTC


Attachments (Terms of Use)

Description Andy Burns 2009-09-18 07:47:31 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/sbin/abrtd "chown" access.

Detailed Description:

[abrtd has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                system_u:system_r:abrt_t:s0
Target Objects                None [ capability ]
Source                        abrtd
Source Path                   /usr/sbin/abrtd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-0.0.8.5-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.31-2.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-14.fc12.i686 #1 SMP Tue
                              Sep 15 04:04:35 EDT 2009 i686 i686
Alert Count                   1
First Seen                    Thu 17 Sep 2009 21:36:19 BST
Last Seen                     Thu 17 Sep 2009 21:36:19 BST
Local ID                      4a63c461-aefe-4cde-9e09-e1163985dc7f
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253219779.972:33): avc:  denied  { chown } for  pid=1346 comm="abrtd" capability=0 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:system_r:abrt_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1253219779.972:33): arch=40000003 syscall=212 success=yes exit=0 a0=969ebdc a1=1f4 a2=1f4 a3=969fc0c items=0 ppid=1 pid=1346 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0 key=(null)


audit2allow suggests:

#============= abrt_t ==============
allow abrt_t self:capability chown;

Comment 1 Daniel Walsh 2009-09-18 11:58:43 UTC
Does abrt need to chown a file in my homedir?

Comment 2 Jiri Moskovcak 2009-10-20 11:13:39 UTC
Not anymore, fixed in version 0.0.10.


Note You need to log in before you can comment on or make changes to this bug.